Page MenuHomePhabricator

Enable zoom 19 in kartographer / mapframe / maplink
Closed, ResolvedPublic

Description

The zoom level 19 tiles are now available, the UI must be adapted to allow zooming to level 19.

Verification list:
(checked items are complete with the patch)

  • Mapframe embedded view (includes the pre-set zoom parameter)
  • Mapframe expanded view
  • Maplink zoom parameter

Note, that maplink zoom parameter works in the sense that it produces the correct link (with data-zoom=19 etc) but it "fails" now becaues maps.wikimedia.org display zoom 18 for the moment.

See T186780: Enable zoom 19 in tilerator / kartotherian UIs for the kartotherian UI piece.

Event Timeline

Gehel created this task.Feb 8 2018, 9:24 AM
Gehel triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2018, 9:24 AM
Gehel added a subscriber: Catrope.Feb 8 2018, 8:11 PM

Change 409395 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Kartographer@master] Add support for zoom level 19 in Kartographer

https://gerrit.wikimedia.org/r/409395

Verified that the zoom level is capable of one more level, but beyond that, the network tab shows the request asking for zoom level 19 as max level:

:path:/osm-intl/19/83867/202626.png

As opposed to before this patch, request for max zoom were for

:path:/osm-intl/18/41935/101315.png

@Gehel I want to make sure I am not missing anything, can you confirm that this is the correct path change? The map I tested locally requests higher zoom and displays it, so it seems correct, but I just want to make sure I am not missing any usage or definition that I am unaware of. Thanks!

(This is step 1, I need to add support for Mapframe embedding and maplink zoom parameter next.)

As per @Mattflaschen-WMF, the full test for all zoom19 implementation should include

  • Mapframe embedded view (includes the pre-set zoom parameter) (works with above patch)
  • Mapframe expanded view (works with above patch)
  • Maplink zoom parameter
  • maps.wikimedia.org accepts 19 as zoom URL parameter.
  • maps.wikimedia.org +/- buttons
MaxSem added a subscriber: MaxSem.Feb 9 2018, 7:19 PM
  • mapframe zoom parameter

Change 409395 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Add support for zoom level 19 in Kartographer

https://gerrit.wikimedia.org/r/409395

Yurik added a subscriber: Yurik.Feb 9 2018, 9:16 PM

snapshot service needs to accept zoom 19 too.

  • mapframe zoom parameter

Aye, I included it in the "Mapframe embedded view (includes the pre-set zoom parameter)" -- that part works with the patch.

snapshot service needs to accept zoom 19 too.

Can you elaborate? Which snapshot service? Where do we update?

Mooeypoo updated the task description. (Show Details)Feb 9 2018, 10:49 PM
Mooeypoo updated the task description. (Show Details)Feb 9 2018, 10:57 PM
Mooeypoo updated the task description. (Show Details)

The preliminary testing shows working data-zoom=19 parameter.

The following test cases worked:

  • inserting
<mapframe text="Downtown [[wikipedia:San Francisco|San Francisco]]" width=250 height=250 zoom=19 latitude=37.8013 longitude=-122.3988 />

will show

  • going through zoom levels shows all levels successfully
Gehel added a comment.Feb 10 2018, 1:04 PM

Verified that the zoom level is capable of one more level, but beyond that, the network tab shows the request asking for zoom level 19 as max level:

:path:/osm-intl/19/83867/202626.png

As opposed to before this patch, request for max zoom were for

:path:/osm-intl/18/41935/101315.png

@Gehel I want to make sure I am not missing anything, can you confirm that this is the correct path change? The map I tested locally requests higher zoom and displays it, so it seems correct, but I just want to make sure I am not missing any usage or definition that I am unaware of. Thanks!

Yep, the path above looks correct! Thanks!

Gehel added a comment.Feb 12 2018, 8:51 AM

The path resolved to the production service is https://maps.wikimedia.org/osm-intl/19/83867/202626.png which renders correctly. So all looks good.

snapshot service might not allow z19, but this is probably in a config somewhere.

debt awarded a token.Feb 14 2018, 5:41 PM

Checked in betalabs for mapnik and mapframe - zoom 19 is enabled. However, last two upper zoom levels (10000 km and 5000 km) do not provide much info:

The issue above seems to be unrelated to the scope of the task though.

jmatazzoni raised the priority of this task from Normal to High.Feb 26 2018, 11:57 PM
jmatazzoni closed this task as Resolved.Feb 27 2018, 7:09 PM